## pure-lv2-0.2.tar.gz

=== Makefile ===

dist = pure-lv2-$(version)
version = 0.2

# compiler flags (these can be overridden)
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)
purelibdir  = $(libdir)/pure

ifeq ($(DLL),.dylib)
dllname = -install_name "$(purelibdir)/$@"
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS)

all: lv2$(DLL)

lv2$(DLL): lv2.c
	gcc $(shared) $(dllname) -o $@ $(MOD_CFLAGS) -std=c99 $< $(MOD_LDFLAGS) $(LIBS)

clean:
	rm -rf *$(DLL)*

install:
	test -d "$(DESTDIR)$(purelibdir)" || mkdir -p "$(DESTDIR)$(purelibdir)"
	cp lv2$(DLL) lv2.pure lv2pure.c lv2pure.h "$(DESTDIR)$(purelibdir)"
	test -d "$(DESTDIR)$(bindir)" || mkdir -p "$(DESTDIR)$(bindir)"
	cp pure2lv2 "$(DESTDIR)$(bindir)"

uninstall:
	rm -f $(addprefix "$(DESTDIR)$(purelibdir)/", lv2$(DLL) lv2.pure lv2pure.c lv2pure.h) "$(DESTDIR)$(bindir)/pure2lv2"

DISTFILES = COPYING Makefile README lv2.c lv2.pure lv2pure.c lv2pure.h \
pure2lv2 *.ttl debian/* examples/Makefile examples/*.pure

dist:
	rm -rf $(dist)
	for x in $(dist) $(dist)/debian $(dist)/examples; do mkdir $$x; done
	for x in $(DISTFILES); do ln -sf "$$PWD"/$$x $(dist)/$$x; done
	rm -f $(dist).tar.gz
	tar -czhf $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar -xzf $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

=== examples/Makefile ===

# Generic Makefile for Pure LV2 plugins.

# Use this variable to pass options to pure2lv2, such as -s or -u.
#PURE2LV2_FLAGS = -s

# Installation directory. Use /usr/lib/lv2 or /usr/local/lib/lv2 for
# system-wide, ~/.lv2 for personal installation.
prefix = /usr/local
lv2libdir = $(prefix)/lib/lv2

sources = $(wildcard *.pure)
targets = $(patsubst %.pure, %.lv2, $(sources))

all: $(targets)

%.lv2: %.pure
	pure2lv2 $(PURE2LV2_FLAGS) $<

clean:
	rm -Rf $(targets)

install: $(targets)
	rm -Rf $(addprefix $(DESTDIR)$(lv2libdir)/, $(targets))
	cp -R $(targets) $(DESTDIR)$(lv2libdir)

uninstall:
	rm -Rf $(addprefix $(DESTDIR)$(lv2libdir)/, $(targets))

=== debian/changelog ===
pure-lv2 (0.2-1) trusty; urgency=low

  * Initial release

 -- Albert Graef <aggraef@gmail.com>  Sun, 14 Sep 2014 20:10:11 +0200

=== debian/control ===
Source: pure-lv2
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, lv2-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-lv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LV2 plugin interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. LV2 is the new Linux audio plugin standard which aims to be
 portable and extensible. This package provides a generic LV2 plugin wrapper
 for Pure which can be used to create LV2 plugin modules. The package also
 includes the pure2lv2 shell script which lets you compile plugins written in
 Pure and turn them into complete LV2 bundles.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-lv2-(.*)\.tar\.gz
